package com.huatek.busi.service.transformer;

import java.math.BigDecimal;
import java.time.LocalDate;

import com.huatek.busi.entity.TransformerEpaDeviationStatistics;
import com.huatek.busi.vo.epa.EpaDeviationOneDataVo;

/**
 * 变压器油色谱数据偏差率统计 Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:05 AM
 */
public interface TransformerEpaDeviationStatisticsService {

    int deleteTransformerEpaDeviationStatistics(LocalDate day);

    int saveTransformerEpaDeviationStatistics(EpaDeviationOneDataVo vo, LocalDate day);

    BigDecimal getWorstEpaDeviation(String sensorCode);
    
    /* 获取油色谱数据偏差率 */
    TransformerEpaDeviationStatistics getTransformerEpaDeviationStatisticsInfo(String sensorCode,LocalDate day);
}
